// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

const filter = require('../../../helper_functions/filter_helper')
const list_helper = require('../../../helper_functions/list_helper')

describe('Filtern mit Teaching Unit, Study Program und Semester filtert korrekt', function () {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function () {
    driver = await new Builder().forBrowser(require('../../../envHelpers').getBrowser()).build()
    vars = {}
  })
  afterEach(async function () {
    await driver.quit();
  })
  it('Properly respects higher filters in the module filter', async function () {
    await driver.get("http://advp44.gm.fh-koeln.de:8080/")

    await driver.manage().setTimeouts({ implicit: 3000 });

    await filter.setFilter(driver, filter.filter.TEACHING_UNIT, "Computer Science")
    await filter.setFilter(driver, filter.filter.STUDY_PROGRAM, "B.Sc. Computer Science (PO1)")
    await filter.setFilter(driver, filter.filter.SEMESTER, "1. Semester")

    const modules = await filter.getAllModules(driver)
    const true_value = ['Algorithmen und Programmierung 2 (AP2)', 'Diskrete Mathematik/Kryptographie (DisMa)', 'Algorithmen und Programmierung 1 (AP1)', 'Querschnittsqualifikation (QQ)', 'Datenbanken 2 (DB2)', 'Betriebssysteme und verteilte Systeme (BS)', 'Informatikprojekt (IP)', 'Paradigmen der Programmierung (PP)', 'Informationsmanagement (IM)']

    assert(list_helper.compareArrays(modules, true_value))

  })
})
